%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:        fwfstab
Version:     0.01.1
Release:     7%{?dist}
BuildArch:   noarch
Summary:     A graphical file system table editor

Group:       Applications/System
License:     GPLv2+
URL:         http://www.diffingo.com/content/view/32/45/lang,en/
Source0:     http://www.diffingo.com/downloads/fwfstab/fwfstab-%{version}.tar.gz
Source1:     fwfstab.desktop
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:   desktop-file-utils
BuildRequires:   python-devel >= 2.4
Requires:        python >= 2.4
Requires:        pygtk2 pygtk2-libglade
# split up; no good anymore
#Requires:        redhat-artwork
Requires:        bluecurve-icon-theme
Requires:        usermode


%description
fwfstab is a graphical file system table (fstab) editor, used to edit the 
/etc/fstab file. It lets users add, edit or remove new entries in a simple,
straight-forward way. It is meant to make the task of editing the file
system table easier without sacrificing flexibility.


%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT

install -d -p -m755 ${RPM_BUILD_ROOT}%{_bindir}

install -D -p -m644 etc/pam.d/fwfstab ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/fwfstab

install -D -p -m644 etc/security/console.apps/fwfstab ${RPM_BUILD_ROOT}%{_sysconfdir}/security/console.apps/fwfstab

install -D -p -m644 usr/lib/python2.4/site-packages/fwfstab/__init__.py ${RPM_BUILD_ROOT}%{python_sitelib}/fwfstab/__init__.py
install -D -p -m644 usr/lib/python2.4/site-packages/fwfstab/BaseClasses.py ${RPM_BUILD_ROOT}%{python_sitelib}/fwfstab/BaseClasses.py
install -D -p -m644 usr/lib/python2.4/site-packages/fwfstab/Callbacks.py ${RPM_BUILD_ROOT}%{python_sitelib}/fwfstab/Callbacks.py
install -D -p -m644 usr/share/fwfstab/mountoptions ${RPM_BUILD_ROOT}%{_datadir}/fwfstab/mountoptions
install -D -p -m644 usr/share/fwfstab/fwfstab.glade ${RPM_BUILD_ROOT}%{_datadir}/fwfstab/fwfstab.glade
install -D -p -m755 usr/share/fwfstab/fwfstab-runapp.py ${RPM_BUILD_ROOT}%{_datadir}/fwfstab/fwfstab-runapp.py

install -D -p -m755 usr/sbin/fwfstab ${RPM_BUILD_ROOT}%{_sbindir}/fwfstab

ln -sf ../../../usr/bin/consolehelper ${RPM_BUILD_ROOT}%{_bindir}/fwfstab

desktop-file-install --vendor fedora\
    --dir ${RPM_BUILD_ROOT}%{_datadir}/applications\
    %{SOURCE1}
#    --add-category X-Fedora\
#    usr/share/applications/fwfstab.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir %{_datadir}/fwfstab
%dir %{python_sitelib}/fwfstab

%{_bindir}/fwfstab
%{_sbindir}/fwfstab
%{_datadir}/fwfstab/*
%{_datadir}/applications/fedora-*.desktop
%{python_sitelib}/fwfstab/*

%config(noreplace) %{_sysconfdir}/security/console.apps/fwfstab
%config(noreplace) %{_sysconfdir}/pam.d/fwfstab

%doc README COPYING CHANGELOG
%changelog
* Mon Oct 1 2007 Stewart Adam <s.adam AT diffingo DOT com> 0.01.1-7
- Rebuild for redhat-artwork split

* Sat Sep 1 2007 Stewart Adam <s.adam AT diffingo DOT com> 0.01.1-6
- /still/ not working, perhaps I do need python as a BR

* Tue Aug 28 2007 Stewart Adam <s.adam AT diffingo DOT com> 0.01.1-5
- Rebuild because of bad file locations

* Mon Aug 13 2007 Stewart Adam <s.adam AT diffingo DOT com> 0.01.1-4
- Replace packaged .desktop with newer one that complies to standards
- Update license tag
- Drop X-Fedora category

* Sat Dec 9 2006 Stewart Adam <s.adam AT diffingo DOT com> 0.01.1-3
- 'make tag' problems, bumping...

* Sat Dec 9 2006 Stewart Adam <s.adam AT diffingo DOT com> 0.01.1-2
- Rebuild for new python

* Thu Nov 2 2006 Stewart Adam <s.adam AT diffingo DOT com> 0.01.1-1
- Update to 0.01.1

* Wed Nov 1 2006 Stewart Adam <s.adam AT diffingo DOT com> 0.01-3
- Bug fixes... Mount point comes before filesystem in /etc/fstab!

* Mon Oct 29 2006 Stewart Adam <s.adam AT diffingo DOT com> 0.01-2
- Fix error with comments in fstab
- Don't quit when there's an error parsing the fstab

* Sat Oct 28 2006 Stewart Adam <s.adam AT diffingo DOT com> 0.01-1
- Initial build

